Bug 1486397 - configuration options are not correctly being logged into last_boot.log and the evm.log
Summary: configuration options are not correctly being logged into last_boot.log and t...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.8.0
Hardware: All
OS: All
high
medium
Target Milestone: GA
: 5.9.0
Assignee: Jason Frey
QA Contact: luke couzens
URL:
Whiteboard:
Depends On:
Blocks: 1531146
TreeView+ depends on / blocked
 
Reported: 2017-08-29 16:05 UTC by Felix Dewaleyne
Modified: 2018-03-06 15:21 UTC (History)
7 users (show)

Fixed In Version: 5.9.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1531146 (view as bug list)
Environment:
Last Closed: 2018-03-06 15:21:29 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)

Description Felix Dewaleyne 2017-08-29 16:05:07 UTC
Description of problem:
configuration options are not correctly being logged into last_boot.log and the evm.log

Version-Release number of selected component (if applicable):
5.8.1.5

How reproducible:
all the time

Steps to Reproduce:
1.set up appliance
2.
3.

Actual results:
in the logs, the setion appears along with the text "!ruby/object:Config::Options" ; the defaults are then displayed instead of the actual value configured


Expected results:
the configuration options are displayed as loaded

Additional info:
could be reproduced in lab

Comment 3 Jason Frey 2018-01-03 15:18:24 UTC
Fixed in https://github.com/ManageIQ/manageiq-gems-pending/pull/268 which was included in the 5.9.0.0 release.

Comment 4 Jason Frey 2018-01-03 15:28:22 UTC
Also important for this fix was a followup change in https://github.com/ManageIQ/manageiq/pull/15945 which was also included in the 5.9.0.0 release.

Comment 6 luke couzens 2018-01-05 17:06:07 UTC
Verified in 5.9.0.15


Note You need to log in before you can comment on or make changes to this bug.